メインコンテンツへスキップ
PUT
/
users
/
{user_id}
cURL
curl -i -X PUT "https://api.box.com/2.0/users/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "name": "Aaron Levie"
     }'
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "language": "en",
  "timezone": "Africa/Bujumbura",
  "space_amount": 11345156112,
  "space_used": 1237009912,
  "max_upload_size": 2147483648,
  "status": "active",
  "job_title": "CEO",
  "phone": "6509241374",
  "address": "900 Jefferson Ave, Redwood City, CA 94063",
  "avatar_url": "https://www.box.com/api/avatar/large/181216415",
  "notification_email": {
    "email": "notifications@example.com",
    "is_confirmed": true
  },
  "role": "admin",
  "tracking_codes": [
    {
      "type": "tracking_code",
      "name": "department",
      "value": "Sales"
    }
  ],
  "can_see_managed_users": true,
  "is_sync_enabled": true,
  "is_external_collab_restricted": true,
  "is_exempt_from_device_limits": true,
  "is_exempt_from_login_verification": true,
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "my_tags": [
    "important"
  ],
  "hostname": "https://example.app.box.com/",
  "is_platform_access_only": true,
  "external_app_user_id": "my-user-1234"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

user_id
string
必須

ユーザーのID。

クエリパラメータ

fields
string[]

レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。

このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。

ボディ

application/json
enterprise
string | null

これをnullに設定すると、ユーザーが企業のメンバーではなくなり、無料ユーザーになります。

:

null

notify
boolean

ユーザーが企業のメンバーでなくなった後もメールを受信できるようにするかどうか。

:

true

name
string

ユーザーの名前。

Maximum string length: 50
:

"Aaron Levie"

login
string

ユーザーがログインに使用するメールアドレス

注: ターゲットユーザーのメールアドレスが確認されていない場合は、プライマリログインアドレスを変更できません。

:

"somename@box.com"

role
enum<string>

ユーザーの企業でのロール。

利用可能なオプション:
coadmin,
user
:

"user"

language
string

修正版のISO 639-1形式で表されるユーザーの言語。

:

"en"

is_sync_enabled
boolean

ユーザーがBox Syncを使用できるかどうか。

:

true

job_title
string

ユーザーの役職。

Maximum string length: 100
:

"CEO"

phone
string

ユーザーの電話番号。

Maximum string length: 100
:

"6509241374"

address
string

ユーザーの住所。

Maximum string length: 255
:

"900 Jefferson Ave, Redwood City, CA 94063"

tracking_codes
追跡コード · object[]

追跡コードを使用すると、管理者は管理コンソールからレポートを生成し、特定のグループのユーザーに属性を割り当てることができます。この設定を使用するには、会社に対して有効にしておく必要があります。

can_see_managed_users
boolean

ユーザーが自身の連絡先リストで企業の他のユーザーを参照できるかどうか。

:

true

timezone
string<timezone>

ユーザーのタイムゾーン。

:

"Africa/Bujumbura"

is_external_collab_restricted
boolean

ユーザーが社外のユーザーとのコラボレーションを許可されているかどうか。

:

true

is_exempt_from_device_limits
boolean

企業のデバイス制限からユーザーを除外するかどうか。

:

true

is_exempt_from_login_verification
boolean

ユーザーが2要素認証を使用する必要があるかどうか。

:

true

is_password_reset_required
boolean

ユーザーにパスワードのリセットを義務付けるかどうか。

:

true

status
enum<string>

ユーザーのアカウントのステータス。

利用可能なオプション:
active,
inactive,
cannot_delete_edit,
cannot_delete_edit_upload
:

"active"

space_amount
integer<int64>

ユーザーが利用可能な容量の合計 (バイト数)。これを-1に設定するとストレージ容量が無制限になります。

:

11345156112

notification_email
object

通知メールが送信される代替の通知用メールアドレス。確認されると、通知メールはプライマリメールアドレスではなくこのメールアドレスに送信されます。

これをnullに設定すると、通知メールが削除されます。

external_app_user_id
string

ユーザーの検索に使用できる、App Userの外部識別子。これを使用して、外部IDプロバイダのユーザーIDをBoxユーザーに結び付けることができます。

注: このフィールドを更新するには、App Userを作成したアプリケーションを使用してトークンをリクエストする必要があります。

:

"my-user-1234"

レスポンス

更新されたユーザーオブジェクトを返します。

任意のユーザーAPIエンドポイントから返される可能性があるユーザーのFull版の表示。

id
string
必須

このユーザーの一意の識別子。

:

"11446498"

type
enum<string>
必須

値は常にuserになります。

利用可能なオプション:
user
:

"user"

name
string

このユーザーの表示名。

Maximum string length: 50
:

"Aaron Levie"

login
string<email>

このユーザーのプライマリメールアドレス。

:

"ceo@example.com"

created_at
string<date-time>

ユーザーオブジェクトが作成された日時。

:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

ユーザーオブジェクトが最後に変更された日時。

:

"2012-12-12T10:53:43-08:00"

language
string

修正版のISO 639-1形式で表されるユーザーの言語。

:

"en"

timezone
string<timezone>

ユーザーのタイムゾーン。

:

"Africa/Bujumbura"

space_amount
integer<int64>

ユーザーが利用可能な容量の合計 (バイト数)。

:

11345156112

space_used
integer<int64>

ユーザーが現在使用している容量。

:

1237009912

max_upload_size
integer<int64>

ユーザーが所有できる個々のファイルの最大サイズ (バイト単位)。

:

2147483648

status
enum<string>

ユーザーのアカウントのステータス。

利用可能なオプション:
active,
inactive,
cannot_delete_edit,
cannot_delete_edit_upload
:

"active"

job_title
string

ユーザーの役職。

Maximum string length: 100
:

"CEO"

phone
string

ユーザーの電話番号。

Maximum string length: 100
:

"6509241374"

address
string

ユーザーの住所。

Maximum string length: 255
:

"900 Jefferson Ave, Redwood City, CA 94063"

avatar_url
string

ユーザーのアバター画像のURL。

:

"https://www.box.com/api/avatar/large/181216415"

notification_email
object

通知メールが送信される代替の通知用メールアドレス。確認されると、通知メールはプライマリメールアドレスではなくこのメールアドレスに送信されます。

role
enum<string>

ユーザーの企業でのロール。

利用可能なオプション:
admin,
coadmin,
user
:

"admin"

tracking_codes
追跡コード · object[]

追跡コードを使用すると、管理者は管理コンソールからレポートを生成し、特定のグループのユーザーに属性を割り当てることができます。この設定を使用するには、会社に対して有効にしておく必要があります。

can_see_managed_users
boolean

ユーザーが自身の連絡先リストで企業の他のユーザーを参照できるかどうか。

:

true

is_sync_enabled
boolean

ユーザーがBox Syncを使用できるかどうか。

:

true

is_external_collab_restricted
boolean

ユーザーが社外のユーザーとのコラボレーションを許可されているかどうか。

:

true

is_exempt_from_device_limits
boolean

企業のデバイス制限からユーザーを除外するかどうか。

:

true

is_exempt_from_login_verification
boolean

ユーザーが2要素認証を使用する必要があるかどうか。

:

true

enterprise
Enterprise · object

ユーザーの企業のレプリゼンテーション。

my_tags
string[]

ユーザーが所有するすべてのファイルとフォルダのタグ。返される値にはリクエスト元によって設定されたタグのみが含まれます。

:
["important"]
hostname
string

ユーザーに対して生成する必要があるリンクのルート (プロトコル、サブドメイン、ドメイン)。

:

"https://example.app.box.com/"

is_platform_access_only
boolean

ユーザーがApp Userであるかどうか。

:

true

external_app_user_id
string

ユーザーの検索に使用できる、App Userの外部識別子。これを使用して、外部IDプロバイダのユーザーIDをBoxユーザーに結び付けることができます。

:

"my-user-1234"